import * as $ from "../../third_party/js/jquery-3.5.1";

$("#file-drop").on('drop', (event) => {
    if (event.originalEvent.dataTransfer.types.includes("Files")) {
        event.preventDefault();
        event.stopPropagation();
        let files = event.originalEvent.dataTransfer.files;
        $(document).trigger("open-dropped-files", [files]);
        $("#file-drop").css("display", "none");
    }
})
    .on('dragover', (event) => {
        if (event.originalEvent.dataTransfer.types.includes("Files")) {
            event.preventDefault();
            event.stopPropagation();
            $("#file-drop").css("display", "block");
        }
    })
    .on('dragleave', (event) => {
        if (event.originalEvent.dataTransfer.types.includes("Files")) {
            $("#file-drop").css("display", "none");
        }
    });

$(window).on('dragenter', (event) => {
    if (event.originalEvent.dataTransfer.types.includes("Files")) {
        let width = $(window).width();
        let height = $(window).height();
        $("#file-drop").css({"display": "block", "width": width, "height": height});
    }
});
